Have opinions about JavaScript? We want to hear them. Take the 2018 JavaScript Ecosystem Survey »

ideal-postcodes-autocomplete

0.2.1 • Public • Published

BrowserStack Status npm version gzip file size file size

Ideal Postcodes Autocomplete - Frontend Address Autocomplete Library

Introduction

This library will create an autocomplete box for any input field specified and pipe the details of a selected address to input fields you designate.

Usage requires an Ideal-Postcodes.co.uk API Key

Ideal Postcodes Autocomplete Example

Build Status & Browser Compatibility Information

This library is tested across modern desktop and mobile browers

Internet Explorer 9 and above is supported. Internet Explorer 6, 7 and 8 are not supported

Methods

To get started, create and point an Autocomplete instance to the input box to add autocomplete to while specifying output fields. E.g.

const controller = new IdealPostcodes.Autocomplete.Controller({
    api_key: "iddqd",
    inputField: "#input",
    outputFields: {
        line_1: "#line_1",
        line_2: "#line_2",
        line_3: "#line_3",
        post_town: "#post_town",
        postcode: "#postcode"
    }
});

Please see our documentation for more information

Installation

You may install it via npm with,

npm install ideal-postcodes-autocomplete --save

You may also use Bower with,

bower install ideal-postcodes-autocomplete --save

Finally you can install it manually by copying the minified build from /dist/

Testing

Run the test suite with,

gulp test

You may test the library manually in a browser console with,

gulp webserver

License

MIT

install

npm i ideal-postcodes-autocomplete

Downloadsweekly downloads

185

version

0.2.1

license

MIT

repository

Gitgithub

last publish

collaborators

  • avatar
Report a vulnerability